Subject: Re: Cygnus used in a Product ?
From: [email-masked] (Fergus Henderson)

19 Oct 1997 21:24:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Larry Meadows)
Cc: [email-masked]

Larry Meadows, you wrote:
> > In other words, as long as I just use the Cygwin32 DLL(s) along with the
> > header files to compile and link my application, I can distribute my
> > application along with the Cygwin32 DLLs (plus maybe the sources for the
> > DLLs), but I am not forced to publish the sources for my application?
> 
> That's not true according to cygnus.

Cygnus have been changing their tune.

> Note that the cygwin32 stuff is under
> the GPL, not the LGPL; so the fact that you link against it requires
> you to distribute your source.

That's not correct.  The requirements of the GPL apply only if your work
is a derived work.  Merely linking against a DLL does not necessarily
make your work a derived work.

> The following is a quote from the
> FAQ (http://www.cygnus.com/misc/gnu-win32/faq.html):
> 
> The Cygwin32 API library found in the winsup subdirectory of the source code is now also covered by the GNU GPL. Since by default all
> executables link against this library, programs compiled by the beta 17 tools will also have to be free software distributed under the GPL
> with source code available to all. 

Well, Cygnus can put such statements in the FAQ list if they want,
I guess, but being in the FAQ list won't make them correct.

If Cygnus actually give such statements some legal teeth (e.g. by
releasing B19 with a license that does not allow free use of
libcygwin.a), then there are a number of people who are ready to
fork a new stream of development from the existing B18 sources.

(Disclaimer: I am not a lawyer. This is not legal advice. Yadda yadda yadda...)

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".